Subject: [alpine-aports] [PATCH] testing/perl-mail-sendmail: new aport

From: Valery Kartel <[email-masked]>
Date: Wed, 18 Jan 2017 13:03:17 +0200

http://search.cpan.org/dist/Mail-Sendmail/
Simple platform independent mailer
---
 testing/perl-mail-sendmail/APKBUILD | 42 +++++++++++++++++++++++++++++++++++++
 1 file changed, 42 insertions(+)
 create mode 100644 testing/perl-mail-sendmail/APKBUILD

diff --git a/testing/perl-mail-sendmail/APKBUILD b/testing/perl-mail-sendmail/APKBUILD
new file mode 100644
index 0000000000..3e7d2f5fe9
--- /dev/null
+++ b/testing/perl-mail-sendmail/APKBUILD
@@ -0,0 +1,42 @@
+# Automatically generated by apkbuild-cpan, template 1
+# Contributor: Valery Kartel <[email-masked]>
+# Maintainer: Valery Kartel <[email-masked]>
+pkgname=perl-mail-sendmail
+_pkgreal=Mail-Sendmail
+pkgver=0.79
+pkgrel=0
+pkgdesc="Simple platform independent mailer"
+url="http://search.cpan.org/dist/Mail-Sendmail/"
+arch="noarch"
+license="GPL PerlArtistic"
+cpandepends=""
+cpanmakedepends="   "
+depends="$cpandepends"
+makedepends="perl-dev $cpanmakedepends"
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/M/MI/MIVKOVIC/$_pkgreal-$pkgver.tar.gz"
+builddir="$srcdir/$_pkgreal-$pkgver"
+
+prepare() {
+	default_prepare || return 1
+
+	cd "$builddir"
+	export CFLAGS=$(perl -MConfig -E 'say $Config{ccflags}')
+	PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor
+}
+
+build() {
+	cd "$builddir"
+	export CFLAGS=$(perl -MConfig -E 'say $Config{ccflags}')
+	make && make test
+}
+
+package() {
+	cd "$builddir"
+	make DESTDIR="$pkgdir" install || return 1
+	find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+md5sums="038f261afd091d8fad347d6c66d2833d  Mail-Sendmail-0.79.tar.gz"
+sha256sums="8a5eb39d3b9a3a4219c6d6051328c62bd51e9b53723ee5b42cd66e8672e681b9  Mail-Sendmail-0.79.tar.gz"
+sha512sums="5a39efa2f059e97b8da2d3e5f08fc30f7ac990dc7fe4f8df9580314e11c111884942335ab64af5dc4082d3a807381a8db281122237471888ecb92da6ee874e85  Mail-Sendmail-0.79.tar.gz"
-- 
2.11.0

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---